org.apache.ode.store.hib

## Class ProcessConfDaoImpl

- java.lang.Object
- - org.apache.ode.store.hib.HibObj
  - - org.apache.ode.store.hib.ProcessConfDaoImpl

- All Implemented Interfaces:
    ProcessConfDAO

      public class ProcessConfDaoImpl
      extends HibObj
      implements ProcessConfDAO

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProcessConfDaoImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `delete()`
    `DeploymentUnitDaoImpl` | `getDeploymentUnit()`
    `java.lang.String` | `getPID_()`
    `javax.xml.namespace.QName` | `getPID()`
    `java.util.Map<java.lang.String,java.lang.String>` | `getProperties_()`
    `java.lang.String` | `getProperty(javax.xml.namespace.QName name)`
    `java.util.Collection<javax.xml.namespace.QName>` | `getPropertyNames()`
    `java.lang.String` | `getState_()` The process state.
    `ProcessState` | `getState()`
    `java.lang.String` | `getType_()` The type of the process (BPEL process definition name).
    `javax.xml.namespace.QName` | `getType()`
    `long` | `getVersion()` The process version.
    `void` | `setDeploymentUnit(DeploymentUnitDaoImpl du)`
    `void` | `setPID_(java.lang.String processId)`
    `void` | `setPID(javax.xml.namespace.QName pid)`
    `void` | `setProperties_(java.util.Map<java.lang.String,java.lang.String> properties)`
    `void` | `setProperty(javax.xml.namespace.QName name, java.lang.String content)`
    `void` | `setState_(java.lang.String state)`
    `void` | `setState(ProcessState state)`
    `void` | `setType_(java.lang.String type)`
    `void` | `setType(javax.xml.namespace.QName type)`
    `void` | `setVersion(long version)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProcessConfDaoImpl

          public ProcessConfDaoImpl()

  - ### Method Detail

    - #### getDeploymentUnit

          public DeploymentUnitDaoImpl getDeploymentUnit()

      Specified by:
        `getDeploymentUnit` in interface `ProcessConfDAO`

    - #### setDeploymentUnit

          public void setDeploymentUnit(DeploymentUnitDaoImpl du)

    - #### getProperties_

          public java.util.Map<java.lang.String,java.lang.String> getProperties_()

    - #### setProperties_

          public void setProperties_(java.util.Map<java.lang.String,java.lang.String> properties)

    - #### getPID_

          public java.lang.String getPID_()

    - #### setPID_

          public void setPID_(java.lang.String processId)

    - #### getType_

          public java.lang.String getType_()

      The type of the process (BPEL process definition name).

    - #### setType_

          public void setType_(java.lang.String type)

    - #### getVersion

          public long getVersion()

      The process version.
      Specified by:
        `getVersion` in interface `ProcessConfDAO`

    - #### setVersion

          public void setVersion(long version)

    - #### getState_

          public java.lang.String getState_()

      The process state.

    - #### setState_

          public void setState_(java.lang.String state)

    - #### getPID

          public javax.xml.namespace.QName getPID()

      Specified by:
        `getPID` in interface `ProcessConfDAO`

    - #### setPID

          public void setPID(javax.xml.namespace.QName pid)

    - #### setState

          public void setState(ProcessState state)

      Specified by:
        `setState` in interface `ProcessConfDAO`

    - #### setProperty

          public void setProperty(javax.xml.namespace.QName name,
                                  java.lang.String content)

      Specified by:
        `setProperty` in interface `ProcessConfDAO`

    - #### delete

          public void delete()

      Specified by:
        `delete` in interface `ProcessConfDAO`
      Overrides:
        `delete` in class `HibObj`

    - #### getType

          public javax.xml.namespace.QName getType()

      Specified by:
        `getType` in interface `ProcessConfDAO`

    - #### setType

          public void setType(javax.xml.namespace.QName type)

    - #### getState

          public ProcessState getState()

      Specified by:
        `getState` in interface `ProcessConfDAO`

    - #### getProperty

          public java.lang.String getProperty(javax.xml.namespace.QName name)

      Specified by:
        `getProperty` in interface `ProcessConfDAO`

    - #### getPropertyNames

          public java.util.Collection<javax.xml.namespace.QName> getPropertyNames()

      Specified by:
        `getPropertyNames` in interface `ProcessConfDAO`